Ticket #590: INSTALL.patch

File INSTALL.patch, 1.7 KB (added by dogbert2, 7 years ago)

Patch file for INSTALL file in OpenVPN 2.3.8

Line 
1--- INSTALL.orig        2015-08-04 16:28:54.357334714 -0700
2+++ INSTALL     2015-08-04 17:36:55.423334714 -0700
3@@ -16,6 +16,10 @@
4 
5     See INSTALL-win32.txt
6 
7+  Compile OpenVPN with OpenSSL/LZO built from source tarballs
8+
9+    See INSTALL-nonstandard.txt
10+
11 *************************************************************************
12 
13 To download OpenVPN, go to:
14@@ -71,11 +75,26 @@
15       a virtual point-to-point IP or Ethernet device.  See
16       TUN/TAP Driver Configuration section below for more info.
17 
18+  (2) PAM/PAM-Devel (Pluggable Authentication Modules).  In most
19+      Linux distributions, these packages are usually listed as
20+      the following (here is what they look like on Fedora):
21+
22+      pam-1.1.8-18.fc22.x86_64.rpm (64-bit package)
23+      pam-devel-1.1.8-18.fc.22.x86_64.rpm (64-bit package)
24+
25 OPTIONAL (but recommended):
26   (1) OpenSSL library, necessary for encryption, version 0.9.8 or higher
27-      required, available from http://www.openssl.org/
28+      required, available from http://www.openssl.org/.  If you build
29+      OpenSSL from source tarball, you will need to let OpenVPN-2.3.x
30+      know where the libraries and header files were installed to:
31+     
32+      If you configured OpenSSL with stock options, it will install
33+      the headers (i.e. - .h files) in /usr/local/ssl/include and
34+      the libraries (i.e. - .a or .so files) in /usr/local/ssl/lib/openssl
35+     
36   (2) PolarSSL library, an alternative for encryption, version 1.1 or higher
37       required, available from https://polarssl.org/
38+
39   (3) LZO real-time compression library, required for link compression,
40       available from http://www.oberhumer.com/opensource/lzo/
41       OpenBSD users can use ports or packages to install lzo, but remember